#ifndef __STRIO_H
#define __STRIO_H
#include <stdarg.h>
#include <stdlib.h>
#include <string.h>

//#include "serial.h"
//#include "datatypes.h"
#define CHAR char
#define UDWORD  long unsigned int
#define log_printf printf

#define MAX_STRING 20 //number of chars

#define MAX_MANTISA 6	//max number of chars for float mantissa




#define CLEAR_SCREEN() { \
		putch(27); \
		printf("[2J"); \
		putch(27); \
		printf("[f"); \
		}

#define NEW_LINE() {puts("\n\r");}


int tbs_ltoa(CHAR *str, long lval, int sign);
int ftoa (float x, CHAR *str, char  prec, char format);
int sprintf(CHAR *str,  void *fmt, ...);
int printf(void *fmt, ...);
int sprintf_va(CHAR *str,CHAR *fmt , va_list ap);

int puts(CHAR *str);
int putsf(float x, char precision);
int putsx(long data);
int putsd(long data);
int tbsstrcpy(const CHAR *src, CHAR *dst);
//int strlen(const CHAR *str);
//int strcmp(c
int hextoa(CHAR *str, long data, char lowerCase);

//FLOAT atof(CHAR *str);

#endif //__STRIO_H
